// pages/login/login.js
const api = require('../../config.js');
const getReq = require('../../config.js').getReq;
let app = getApp();

Page({
  /**
   * 页面的初始数据
   */
  data: {
    url: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let url = options.url || ''
    this.setData({
      url
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
  userInfoHandler(e) {
    let self = this
    if (e.detail.errMsg == "getUserInfo:ok") {
      app.globalData.userInfo = e.detail.userInfo;
      app.globalData.userInfo.nickname = e.detail.userInfo.nickName;
      let userInfo = app.globalData.userInfo;
      if (app.globalData.userId.unionid) {
        userInfo = Object.assign({}, app.globalData.userId, app.globalData.userInfo);
      }
      else {
        let { encryptedData, iv, signature } = e.detail
        userInfo = Object.assign({}, { encryptedData }, { signature }, { iv }, userInfo)
      }
      let params = {
          user_info: userInfo,
          act: "login",
          op: "wxauthen",
          relay_id: app.globalData.relay_id
      }
      getReq(app,params, function (res) {
        if (res.code == 200) {
          app.globalData.backLogin = true;
          app.globalData.member_id = datas.member_id  
          app.globalData.hasmobile = datas.hasmobile

          wx.navigateBack();
        }
        else {
          wx.showToast({
            icon: 'none',
            title: '登陆失败',
            duration: 2000
          })
        }
      })
    }
  }
})